Circus Oraclimus Installatus Upgradimus


Circus Oraclimus is back in town.  It was last time only four weeks ago and a few months before that as well, and while it the first few times was quite funny to watch the clowns, it  does not remain funny to see the same absurd tricks over and over again.

I am referring to this: http://bugs.mysql.com/bug.php?id=56889.

If you have both MySQL 5.5 and 5.6 installed on the same Windows system using the .msi installer you cannot upgrade 5.5.  The 5.5 installer refuses to run claiming that a ‘newer version’ [of 5.5.x] is installed.  It never was – and still is not – a problem upgrading 5.1. with 5.5 (and 5.6) installed.  So this is a bug and it is verified. And it was actually fixed by Vladislav Vaintrub before he left Oracle for Monty Program 1½ years ago.  For some reason the fix failed to be committed and never was included with the installers distributed.  I did several attempts to wake up the people at Oracle asking them to find that patch and commit it to where it should be. It never did lead anywhere.  Not even to a reply.

Needless to say the MariaDB .msi installers for Windows  do not suffer from this.  You can upgrade any MariaDb version with a higher version installed.  But .msi installers for MariaDB are also maintained by Vladislav Vaintrub!

So what you need to do is before upgrading your Oracle/MySQL 5.5 instance if you also have 5.6 installed is to uninstall 5.6, upgrade 5.5 and install 5.6 again (I am not running the configuration wizard as I want to keep the 5.5 and 5.6 configurations I have).  A little annoying, but no data or configuration is lost and after all it takes only 10 minutes.  So not a big deal.  Untill the situation worsended significantly recently (after 5.5.20).

We continue here: http://bugs.mysql.com/bug.php?id=64909

The above uninstall-upgrade-install procedure stopped working for me when upgrading to 5.5.22 and .23.  Both my 5.5 and 5.6 instances become non-functional.  On 5,5 the `mysql` database lost some tables and on 5.6 the service was removed from the system.

It is 4 weeks ago I upgraded to 5.5.23 (that is what I refer to as last visit from Circus Oraclimus) and now I see 5.5.24 is available on mirrors.  Welcome back, Circus Oraclimus! I hope you bring some artists this time and not just the clowns!

( I know perfectly well that that I can install the service very simple for instance with the “mysqld install servicename” -command and don’t need to use the installers.  However like most Windows users I like a unified and consolidated view of what is installed on the system – in case in “Control Panel .. Programs” – just like most users of ‘Red Hat type’ Linux prefer to install using the RPM for exactly the same reason)

 

+ There are no comments

Add yours